Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class AutoFunctionalCompanion

    java.lang.Object
      |
      +--oracle.apps.cz.cio.FunctionalCompanion
            |
            +--oracle.apps.cz.cio.AutoFunctionalCompanion

All Implemented Interfaces:
  IFunctionalCompanion

Deprecated. this class is no longer necessary Base object on which user functional companions can be based.

public class AutoFunctionalCompanion
extends FunctionalCompanion

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.cio.IFunctionalCompanion
`FC_AFTER_SAVE, FC_ON_AUTO_CONFIGURE, FC_ON_GENERATE_OUTPUT, FC_ON_LOAD, FC_ON_NEW, FC_ON_RESTORE, FC_ON_SAVE, FC_ON_SUMMARY, FC_ON_VALIDATE, FC_POST_LOAD`

Constructor Summary
`AutoFunctionalCompanion()` Deprecated.

Method Summary
`void` | `afterSave()` Deprecated. Does nothing.
`void` | `onLoad()` Deprecated. Does nothing.
`void` | `onNew()` Deprecated. Does nothing.
`void` | `onRestore()` Deprecated. Does nothing.
`void` | `onSave()` Deprecated. Does nothing.
`void` | `onSummary()` Deprecated. Does nothing.
`void` | `postLoad()` Deprecated. Does nothing.

Methods inherited from class oracle.apps.cz.cio.FunctionalCompanion
`autoConfigure, generateOutput, generateOutput, getDescription, getID, getName, getRuntimeNode, initialize, terminate, toString, validate, validateEligibleTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Constructor Detail

### AutoFunctionalCompanion

    public AutoFunctionalCompanion()

  Deprecated.

Method Detail

### onNew

    public void onNew()
               throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

### onRestore

    public void onRestore()
                   throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

### onSave

    public void onSave()
                throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

### afterSave

    public void afterSave()
                   throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

### onLoad

    public void onLoad()
                throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

### onSummary

    public void onSummary()
                   throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

### postLoad

    public void postLoad()
                  throws LogicalException

  Deprecated.
  Does nothing.
    `LogicalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.